package aerogen;

public class CaveDescription {

	public double cavePercentage = 0.1;
	
	public double maxRadius = 3.0;
	public double startRadius = 2.0;
	public double minRadius = 2.0;
	public double maxDeltaRadius = 0.3;
	
	public double turbulenceMagnitude = 0.0;
	public double turbulenceFrequency = 0.5;
	
	public int maxSplit = 2;
	public double splitChance = 0.3;
	
	public double angleDX = Math.PI/8;
	public double angleDY = Math.PI/24;
	public double maxAngleY = Math.PI/2; 
	
}
