package aerogen;

import org.bukkit.entity.Entity;
import org.bukkit.entity.Monster;
import org.bukkit.event.entity.CreatureSpawnEvent;
import org.bukkit.event.entity.EntityListener;

public class SpawnListener extends EntityListener {

	AeroGen plugin;
	
	public SpawnListener(AeroGen plugin) {
		this.plugin = plugin;
	}
	
	public void onCreatureSpawn(CreatureSpawnEvent event) {
		Entity entity = event.getEntity();
		if(entity == null) return;
		if(entity instanceof Monster) {
			if(Math.random() > 0.125) event.setCancelled(true); 
		}
	}
	
	

}
